Bug 847144 - [abrt] gdb-7.4.50.20120120-49.fc17: __GI___open_catalog: Process /usr/bin/gdb was killed by signal 6 (SIGABRT)
[abrt] gdb-7.4.50.20120120-49.fc17: __GI___open_catalog: Process /usr/bin/gdb...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdb (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Kratochvil
Fedora Extras Quality Assurance
abrt_hash:e9343f4e19f9e97aa4b543bfe58...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 16:54 EDT by Michal Hlavinka
Modified: 2013-07-31 21:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:02:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (36.90 KB, text/plain)
2012-08-09 16:54 EDT, Michal Hlavinka
no flags Details
File: maps (17.54 KB, text/plain)
2012-08-09 16:54 EDT, Michal Hlavinka
no flags Details
File: dso_list (4.34 KB, text/plain)
2012-08-09 16:54 EDT, Michal Hlavinka
no flags Details

  None (edit)
Description Michal Hlavinka 2012-08-09 16:54:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gdb --fullname --nx
comment:        Happened during debugging using KDbg. When waiting for something, I pressed and hold F5 (continue) and then it crashed.
crash_function: __GI___open_catalog
executable:     /usr/bin/gdb
kernel:         3.5.0-2.fc17.x86_64
pid:            17149
pwd:            /home/mihl/myroot/letadla/frsky/n900
remote_result:  NOTFOUND
time:           Thu 09 Aug 2012 10:46:39 PM CEST
uid:            1000
username:       mihl
var_log_messages: Aug  9 22:46:44 nbone abrt[17218]: Saved core dump of pid 17149 (/usr/bin/gdb) to /var/spool/abrt/ccpp-2012-08-09-22:46:39-17149 (68755456 bytes)

backtrace:      Text file, 37785 bytes
dso_list:       Text file, 4449 bytes
maps:           Text file, 17962 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mihl/2

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x224366 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x226b0b - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x226c39 internal_verror [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x226cd2 internal_error [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x22a66c - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x224276 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170728 throw_exception [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170a0d - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x22e7b5 frame_unwind_find_by_frame [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x22b851 get_frame_type [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16aa38 print_frame_info [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16b300 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x16b617 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x22286a execute_command [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x178e84 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x17985c - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x177cd6 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x17847f gdb_do_one_event [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x178605 start_event_loop [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x171db3 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170ebe catch_errors [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x172976 - [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x170ebe catch_errors [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x1735b4 gdb_main [exe] -
:9f64df5552bcacac80071bad9f04fda17a7aef7b 0x5121e main [exe] -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1105
:XDG_SESSION_ID=2
:KDE_MULTIHEAD=false
:HOSTNAME=nbone
:DM_CONTROL=/var/run/xdmctl
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/mihl/.gtkrc-2.0:/home/mihl/.gtkrc-2.0-kde4:/home/mihl/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.99
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/mihl/.gtkrc:/home/mihl/.kde/share/config/gtkrc
:WINDOWID=100663322
:SHELL_SESSION_ID=066278a9a4654000a2c65533afc26116
:KDE_FULL_SESSION=true
:IMSETTINGS_MODULE=IBus
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=mihl
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-nplJlchn1007/agent.1007
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1236,unix/unix:/tmp/.ICE-unix/1236
:DESKTOP_SESSION=kde-plasma
:MAIL=/var/spool/mail/mihl
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/mihl/.scripts:/home/mihl/root/bin:/home/mihl/bin:/home/mihl/.scripts:/home/mihl/root/bin
:QT_IM_MODULE=ibus
:PWD=/home/mihl/myroot/letadla/frsky/n900
:XMODIFIERS=@im=ibus
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/3
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/mihl
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=mihl
:CVS_RSH=ssh
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-oASV4lFI1U,guid=d881e2cb1c2a82fcb65861de0000007e
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/mihl
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins:/home/mihl/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/
:GTK_IM_MODULE=ibus
:XAUTHORITY=/tmp/kde-mihl/xauth-1000-_0
:_=/usr/bin/kdbg
:OLDPWD=/home/mihl/myroot/letadla/frsky/n900/qextserialport

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        unlimited            unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31465                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31465                31465                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:pipe:[3477587]
:pos:	0
:flags:	00
:1:pipe:[3477588]
:pos:	0
:flags:	01
:2:pipe:[3477588]
:pos:	0
:flags:	01
:3:/usr/share/bash-completion/completions
:pos:	0
:flags:	0100000
:4:/usr/share/bash-completion/completions
:pos:	0
:flags:	0100000
:5:/usr/share/bash-completion/completions
:pos:	0
:flags:	0100000
:6:socket:[3477608]
:pos:	0
:flags:	02
:7:socket:[3477609]
:pos:	0
:flags:	02
:8:pipe:[3477610]
:pos:	0
:flags:	04000
:9:pipe:[3477610]
:pos:	0
:flags:	01
:10:/usr/lib64/libXfixes.so.3.1.0
:pos:	20048
:flags:	02100000
:11:/usr/lib64/libXcursor.so.1.0.2
:pos:	36864
:flags:	02100000
:12:/usr/lib64/libXinerama.so.1.0.0
:pos:	9408
:flags:	02100000
:13:/usr/lib64/libfontconfig.so.1.4.4
:pos:	193240
:flags:	02100000
:14:/usr/lib64/libXext.so.6.4.0
:pos:	65680
:flags:	02100000
:15:/usr/lib64/libX11.so.6.3.0
:pos:	1180320
:flags:	02100000
:16:/usr/lib64/libgthread-2.0.so.0.3200.4
:pos:	6448
:flags:	02100000
:17:/usr/lib64/librt-2.15.so
:pos:	26960
:flags:	02100000
:18:/usr/lib64/libglib-2.0.so.0.3200.4
:pos:	1079296
:flags:	02100000
:19:/home/mihl/myroot/letadla/frsky/n900/frskyboard
:pos:	77848
:flags:	02100000

smolt_data:
:
:
:General
:=================================
:UUID: 30406a21-c099-4e0a-a8f5-bd907199eb51
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4198.63
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Athlon(tm) X2 Dual-Core QL-65
:CPU Stepping: 1
:CPU Family: 17
:CPU Model Num: 3
:Number of CPUs: 2
:CPU Speed: 2100
:System Memory: 3954
:System Swap: 3997
:Vendor: ASUSTeK Computer INC.
:System: K50AB 1.0
:Form factor: Notebook
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4130:38406:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 2)
:(4098:17297:4163:4375) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38400:4130:38400) pci, None, HOST/PCI, RS780 Host Bridge
:(4130:4868:0:0) pci, None, HOST/PCI, Family 11h Processor Link Control
:(4130:4865:0:0) pci, None, HOST/PCI, Family 11h Processor Address Map
:(4130:4864:0:0) pci, None, HOST/PCI, Family 11h Processor HyperTransport Configuration
:(4130:4867:0:0) pci, k10temp, HOST/PCI, Family 11h Processor Miscellaneous Control
:(4130:4866:0:0) pci, None, HOST/PCI, Family 11h Processor DRAM Controller
:(4332:33128:4163:5845) pci, r8169, ETHERNET, U6V/U31J laptop
:(5772:43:6715:4233) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4130:38403:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4098:17285:4163:7511) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4163:7511) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:5411) pci, snd_hda_intel, MULTIMEDIA, SBx00 Azalia (Intel HDA)
:(4098:17305:4163:7511) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4098:17302:4163:7511) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:38227:4163:6978) pci, radeon, VIDEO, M92 [Mobility Radeon HD 4500/5100 Series]
:(4098:17303:4163:7511) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17304:4163:7511) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17302:4163:7511) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17304:4163:7511) pci, ohci_hcd, USB, SB7x0 USB OHCI1 Controller
:(4098:17303:4163:7511) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4130:38405:4130:38400) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (PCIE port 1)
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/luks-aed60b2c-58bc-45ee-a0a7-5dbd44803fd2 / ext4 4096 4096 8937954 5550410 5102436 2240224 1996359 1996359
:/dev/sda2 /boot ext4 4096 4096 153001 124172 116492 38400 37974 37974
:/dev/mapper/luks-45a690ef-d01e-4113-81a2-0996d4582f70 /home ext4 4096 4096 67921389 32659957 29259778 17006592 16438577 16438577
:
Comment 1 Michal Hlavinka 2012-08-09 16:54:40 EDT
Created attachment 603348 [details]
File: backtrace
Comment 2 Michal Hlavinka 2012-08-09 16:54:42 EDT
Created attachment 603349 [details]
File: maps
Comment 3 Michal Hlavinka 2012-08-09 16:54:44 EDT
Created attachment 603350 [details]
File: dso_list
Comment 4 Tom Tromey 2012-09-13 11:07:59 EDT
The backtrace is truncated but I did see this:

        run_nlspath = 0x62e8b60 "../../gdb/frame.c:2374: internal-error: frame_cleanup_after_sniffer: Assertion `frame->prologue_cache == NULL' failed.\nA problem internal to GDB has been detected,\nfurther debugging may prove unreliab"...

Based on this it could be:
http://sourceware.org/bugzilla/show_bug.cgi?id=14100

This is fixed upstream.
Comment 5 Fedora End Of Life 2013-07-03 18:51:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 21:02:37 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.